com.nxp.nfc_demo

## Class R.attr

- java.lang.Object
- - com.nxp.nfc_demo.R.attr

- Enclosing class:
    R

      public static final class R.attr
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `actionBarDivider` Custom divider drawable to use for elements in the action bar.
    `static int` | `actionBarItemBackground` Custom item state list drawable background for action bar items.
    `static int` | `actionBarSize` Size of the Action Bar, including the contextual bar used to present Action Modes.
    `static int` | `actionBarSplitStyle` Reference to a style for the split Action Bar.
    `static int` | `actionBarStyle` Reference to a style for the Action Bar Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `actionBarTabBarStyle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `actionBarTabStyle` Default style for tabs within an action bar Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `actionBarTabTextStyle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `actionBarWidgetTheme` Reference to a theme that should be used to inflate widgets and layouts destined for the action bar.
    `static int` | `actionButtonStyle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `actionDropDownStyle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `actionMenuTextAppearance` TextAppearance style that will be applied to text that appears within action menu items.
    `static int` | `actionMenuTextColor` Color for text that appears within action menu items.
    `static int` | `actionModeBackground` Background drawable to use for action mode UI Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `actionModeCloseButtonStyle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `actionModeCloseDrawable` Drawable to use for the close action mode button Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `actionModePopupWindowStyle` PopupWindow style to use for action modes when showing as a window overlay.
    `static int` | `actionModeShareDrawable` Drawable to use for the Share action button in WebView selection action modes Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `actionModeSplitBackground` Background drawable to use for action mode UI in the lower split bar Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `actionModeStyle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `actionOverflowButtonStyle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `actionSpinnerItemStyle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `activatedBackgroundIndicator` Drawable used as a background for activated items.
    `static int` | `activityChooserViewStyle` Default ActivityChooserView style.
    `static int` | `background` May be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `backgroundSplit` May be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `backgroundStacked` Specifies a background drawable for a second stacked row of the action bar.
    `static int` | `buttonStyleSmall` Small Button style.
    `static int` | `customNavigationLayout` Specifies a layout for custom navigation.
    `static int` | `displayOptions` Options affecting how the action bar is displayed.
    `static int` | `divider` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `dividerVertical` Drawable to use for generic vertical dividers.
    `static int` | `dropdownListPreferredItemHeight` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `dropDownListViewStyle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `expandActivityOverflowButtonDrawable` The drawable to show in the button for expanding the activities overflow popup.
    `static int` | `headerBackground` Default background for the menu header.
    `static int` | `height` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `homeAsUpIndicator` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `homeLayout` Specifies a layout to use for the "home" section of the action bar.
    `static int` | `horizontalDivider` Default horizontal divider between rows of menu items.
    `static int` | `icon` Specifies the drawable used for the application icon.
    `static int` | `iconifiedByDefault` The default state of the SearchView.
    `static int` | `indeterminateProgressStyle` Specifies a style resource to use for an indeterminate progress spinner.
    `static int` | `initialActivityCount` The maximal number of items initially shown in the activity list.
    `static int` | `itemBackground` Default background for each menu item.
    `static int` | `itemIconDisabledAlpha` Default disabled icon alpha for each menu item that shows an icon.
    `static int` | `itemPadding` Specifies padding that should be applied to the left and right sides of system-provided items in the bar.
    `static int` | `itemTextAppearance` Default appearance of menu item text.
    `static int` | `listPopupWindowStyle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `listPreferredItemHeightSmall` A smaller, sleeker list item height.
    `static int` | `listPreferredItemPaddingLeft` The preferred padding along the left edge of list items.
    `static int` | `listPreferredItemPaddingRight` The preferred padding along the right edge of list items.
    `static int` | `logo` Specifies the drawable used for the application logo.
    `static int` | `navigationMode` The type of navigation to use.
    `static int` | `popupMenuStyle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `preserveIconSpacing` Whether space should be reserved in layout when an icon is missing.
    `static int` | `progressBarPadding` Specifies the horizontal padding on either end for an embedded progress bar.
    `static int` | `progressBarStyle` Specifies a style resource to use for an embedded progress bar.
    `static int` | `queryHint` An optional query hint string to be displayed in the empty query field.
    `static int` | `searchAutoCompleteTextView` SearchView AutoCompleteTextView style Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `searchDropdownBackground` SearchView dropdown background Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `searchResultListItemHeight` The list item height for search results.
    `static int` | `searchViewCloseIcon` SearchView close button icon Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `searchViewEditQuery` SearchView query refinement icon Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `searchViewEditQueryBackground` SearchView query refinement icon background Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `searchViewGoIcon` SearchView Go button icon Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `searchViewSearchIcon` SearchView Search icon Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `searchViewTextField` SearchView text field background for the left section Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `searchViewTextFieldRight` SearchView text field background for the right section Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `searchViewVoiceIcon` SearchView Voice button icon Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `selectableItemBackground` Background drawable for standalone items that need focus/pressed states.
    `static int` | `spinnerDropDownItemStyle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `spinnerItemStyle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `subtitle` Specifies subtitle text used for navigationMode="normal" Must be a string value, using '\\;' to escape characters such as '\\n' or '\\uxxxx' for a unicode character.
    `static int` | `subtitleTextStyle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `textAppearanceLargePopupMenu` Text color, typeface, size, and style for the text inside of a popup menu.
    `static int` | `textAppearanceListItemSmall` The preferred TextAppearance for the primary text of small list items.
    `static int` | `textAppearanceSearchResultSubtitle` Text color, typeface, size, and style for system search result subtitle.
    `static int` | `textAppearanceSearchResultTitle` Text color, typeface, size, and style for system search result title.
    `static int` | `textAppearanceSmall` Text color, typeface, size, and style for "small" text.
    `static int` | `textAppearanceSmallPopupMenu` Text color, typeface, size, and style for small text inside of a popup menu.
    `static int` | `textColorPrimary` Must be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".
    `static int` | `textColorPrimaryDisableOnly` Must be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".
    `static int` | `textColorPrimaryInverse` Must be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".
    `static int` | `textColorSearchUrl` Text color for urls in search suggestions, used by things like global search and the browser.
    `static int` | `title` Specifies title text used for navigationMode="normal" Must be a string value, using '\\;' to escape characters such as '\\n' or '\\uxxxx' for a unicode character.
    `static int` | `titleTextStyle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `verticalDivider` Default vertical divider between menu items.
    `static int` | `windowActionBar` Must be a boolean value, either "`true`" or "`false`".
    `static int` | `windowActionBarOverlay` Must be a boolean value, either "`true`" or "`false`".
    `static int` | `windowActionModeOverlay` Must be a boolean value, either "`true`" or "`false`".
    `static int` | `windowAnimationStyle` Default animations for the menu.
    `static int` | `windowContentOverlay` This Drawable is overlaid over the foreground of the Window's content area, usually to place a shadow below the title.
    `static int` | `windowMinWidthMajor` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `windowMinWidthMinor` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `windowNoTitle` Must be a boolean value, either "`true`" or "`false`".
    `static int` | `windowSplitActionBar` Must be a boolean value, either "`true`" or "`false`".

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `R.attr()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### actionBarDivider

          public static final int actionBarDivider

      Custom divider drawable to use for elements in the action bar.

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### actionBarItemBackground

          public static final int actionBarItemBackground

      Custom item state list drawable background for action bar items.

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### actionBarSize

          public static final int actionBarSize

      Size of the Action Bar, including the contextual bar used to present Action Modes.

      May be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      May be one of the following constant values.

      Constant | Value | Description
      --- | --- | ---
      `wrap_content` | 0 |

      See Also:
        Constant Field Values

    - #### actionBarSplitStyle

          public static final int actionBarSplitStyle

      Reference to a style for the split Action Bar. This style controls the split component that holds the menu/action buttons. actionBarStyle is still used for the primary bar.

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### actionBarStyle

          public static final int actionBarStyle

      Reference to a style for the Action Bar

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### actionBarTabBarStyle

          public static final int actionBarTabBarStyle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### actionBarTabStyle

          public static final int actionBarTabStyle

      Default style for tabs within an action bar

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### actionBarTabTextStyle

          public static final int actionBarTabTextStyle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### actionBarWidgetTheme

          public static final int actionBarWidgetTheme

      Reference to a theme that should be used to inflate widgets and layouts destined for the action bar. Most of the time this will be a reference to the current theme, but when the action bar has a significantly different contrast profile than the rest of the activity the difference can become important. If this is set to @null the current theme will be used.

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### actionButtonStyle

          public static final int actionButtonStyle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### actionDropDownStyle

          public static final int actionDropDownStyle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### actionMenuTextAppearance

          public static final int actionMenuTextAppearance

      TextAppearance style that will be applied to text that appears within action menu items.

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### actionMenuTextColor

          public static final int actionMenuTextColor

      Color for text that appears within action menu items.

      May be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      May be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".

      See Also:
        Constant Field Values

    - #### actionModeBackground

          public static final int actionModeBackground

      Background drawable to use for action mode UI

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### actionModeCloseButtonStyle

          public static final int actionModeCloseButtonStyle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### actionModeCloseDrawable

          public static final int actionModeCloseDrawable

      Drawable to use for the close action mode button

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### actionModePopupWindowStyle

          public static final int actionModePopupWindowStyle

      PopupWindow style to use for action modes when showing as a window overlay.

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### actionModeShareDrawable

          public static final int actionModeShareDrawable

      Drawable to use for the Share action button in WebView selection action modes

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### actionModeSplitBackground

          public static final int actionModeSplitBackground

      Background drawable to use for action mode UI in the lower split bar

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### actionModeStyle

          public static final int actionModeStyle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### actionOverflowButtonStyle

          public static final int actionOverflowButtonStyle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### actionSpinnerItemStyle

          public static final int actionSpinnerItemStyle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### activatedBackgroundIndicator

          public static final int activatedBackgroundIndicator

      Drawable used as a background for activated items.

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### activityChooserViewStyle

          public static final int activityChooserViewStyle

      Default ActivityChooserView style.

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### background

          public static final int background

      May be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      May be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".

      See Also:
        Constant Field Values

    - #### backgroundSplit

          public static final int backgroundSplit

      May be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      May be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".

      See Also:
        Constant Field Values

    - #### backgroundStacked

          public static final int backgroundStacked

      Specifies a background drawable for a second stacked row of the action bar.

      May be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      May be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".

      See Also:
        Constant Field Values

    - #### buttonStyleSmall

          public static final int buttonStyleSmall

      Small Button style.

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### customNavigationLayout

          public static final int customNavigationLayout

      Specifies a layout for custom navigation. Overrides navigationMode.

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### displayOptions

          public static final int displayOptions

      Options affecting how the action bar is displayed.

      Must be one or more (separated by '|') of the following constant values.

      Constant | Value | Description
      --- | --- | ---
      `useLogo` | 0x1 |
      `showHome` | 0x2 |
      `homeAsUp` | 0x4 |
      `showTitle` | 0x8 |
      `showCustom` | 0x10 |
      `disableHome` | 0x20 |

      See Also:
        Constant Field Values

    - #### divider

          public static final int divider

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### dividerVertical

          public static final int dividerVertical

      Drawable to use for generic vertical dividers.

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### dropDownListViewStyle

          public static final int dropDownListViewStyle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### dropdownListPreferredItemHeight

          public static final int dropdownListPreferredItemHeight

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### expandActivityOverflowButtonDrawable

          public static final int expandActivityOverflowButtonDrawable

      The drawable to show in the button for expanding the activities overflow popup. Note: Clients would like to set this drawable as a clue about the action the chosen activity will perform. For example, if share activity is to be chosen the drawable should give a clue that sharing is to be performed.

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### headerBackground

          public static final int headerBackground

      Default background for the menu header.

      May be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      May be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".

      See Also:
        Constant Field Values

    - #### height

          public static final int height

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### homeAsUpIndicator

          public static final int homeAsUpIndicator

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### homeLayout

          public static final int homeLayout

      Specifies a layout to use for the "home" section of the action bar.

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### horizontalDivider

          public static final int horizontalDivider

      Default horizontal divider between rows of menu items.

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### icon

          public static final int icon

      Specifies the drawable used for the application icon.

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### iconifiedByDefault

          public static final int iconifiedByDefault

      The default state of the SearchView. If true, it will be iconified when not in use and expanded when clicked.

      Must be a boolean value, either "`true`" or "`false`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### indeterminateProgressStyle

          public static final int indeterminateProgressStyle

      Specifies a style resource to use for an indeterminate progress spinner.

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### initialActivityCount

          public static final int initialActivityCount

      The maximal number of items initially shown in the activity list.

      Must be a string value, using '\\;' to escape characters such as '\\n' or '\\uxxxx' for a unicode character.

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### itemBackground

          public static final int itemBackground

      Default background for each menu item.

      May be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      May be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".

      See Also:
        Constant Field Values

    - #### itemIconDisabledAlpha

          public static final int itemIconDisabledAlpha

      Default disabled icon alpha for each menu item that shows an icon.

      Must be a floating point value, such as "`1.2`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### itemPadding

          public static final int itemPadding

      Specifies padding that should be applied to the left and right sides of system-provided items in the bar.

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### itemTextAppearance

          public static final int itemTextAppearance

      Default appearance of menu item text.

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### listPopupWindowStyle

          public static final int listPopupWindowStyle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### listPreferredItemHeightSmall

          public static final int listPreferredItemHeightSmall

      A smaller, sleeker list item height.

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### listPreferredItemPaddingLeft

          public static final int listPreferredItemPaddingLeft

      The preferred padding along the left edge of list items.

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### listPreferredItemPaddingRight

          public static final int listPreferredItemPaddingRight

      The preferred padding along the right edge of list items.

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### logo

          public static final int logo

      Specifies the drawable used for the application logo.

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### navigationMode

          public static final int navigationMode

      The type of navigation to use.

      Must be one of the following constant values.

      Constant | Value | Description
      --- | --- | ---
      `normal` | 0 | Normal static title text
      `listMode` | 1 | The action bar will use a selection list for navigation.
      `tabMode` | 2 | The action bar will use a series of horizontal tabs for navigation.

      See Also:
        Constant Field Values

    - #### popupMenuStyle

          public static final int popupMenuStyle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### preserveIconSpacing

          public static final int preserveIconSpacing

      Whether space should be reserved in layout when an icon is missing.

      Must be a boolean value, either "`true`" or "`false`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### progressBarPadding

          public static final int progressBarPadding

      Specifies the horizontal padding on either end for an embedded progress bar.

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### progressBarStyle

          public static final int progressBarStyle

      Specifies a style resource to use for an embedded progress bar.

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### queryHint

          public static final int queryHint

      An optional query hint string to be displayed in the empty query field.

      Must be a string value, using '\\;' to escape characters such as '\\n' or '\\uxxxx' for a unicode character.

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### searchAutoCompleteTextView

          public static final int searchAutoCompleteTextView

      SearchView AutoCompleteTextView style

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### searchDropdownBackground

          public static final int searchDropdownBackground

      SearchView dropdown background

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### searchResultListItemHeight

          public static final int searchResultListItemHeight

      The list item height for search results. @hide

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### searchViewCloseIcon

          public static final int searchViewCloseIcon

      SearchView close button icon

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### searchViewEditQuery

          public static final int searchViewEditQuery

      SearchView query refinement icon

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### searchViewEditQueryBackground

          public static final int searchViewEditQueryBackground

      SearchView query refinement icon background

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### searchViewGoIcon

          public static final int searchViewGoIcon

      SearchView Go button icon

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### searchViewSearchIcon

          public static final int searchViewSearchIcon

      SearchView Search icon

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### searchViewTextField

          public static final int searchViewTextField

      SearchView text field background for the left section

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### searchViewTextFieldRight

          public static final int searchViewTextFieldRight

      SearchView text field background for the right section

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### searchViewVoiceIcon

          public static final int searchViewVoiceIcon

      SearchView Voice button icon

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### selectableItemBackground

          public static final int selectableItemBackground

      Background drawable for standalone items that need focus/pressed states.

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### spinnerDropDownItemStyle

          public static final int spinnerDropDownItemStyle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### spinnerItemStyle

          public static final int spinnerItemStyle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### subtitle

          public static final int subtitle

      Specifies subtitle text used for navigationMode="normal"

      Must be a string value, using '\\;' to escape characters such as '\\n' or '\\uxxxx' for a unicode character.

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### subtitleTextStyle

          public static final int subtitleTextStyle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### textAppearanceLargePopupMenu

          public static final int textAppearanceLargePopupMenu

      Text color, typeface, size, and style for the text inside of a popup menu.

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### textAppearanceListItemSmall

          public static final int textAppearanceListItemSmall

      The preferred TextAppearance for the primary text of small list items.

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### textAppearanceSearchResultSubtitle

          public static final int textAppearanceSearchResultSubtitle

      Text color, typeface, size, and style for system search result subtitle. Defaults to primary inverse text color.

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### textAppearanceSearchResultTitle

          public static final int textAppearanceSearchResultTitle

      Text color, typeface, size, and style for system search result title. Defaults to primary inverse text color.

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### textAppearanceSmall

          public static final int textAppearanceSmall

      Text color, typeface, size, and style for "small" text. Defaults to secondary text color.

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### textAppearanceSmallPopupMenu

          public static final int textAppearanceSmallPopupMenu

      Text color, typeface, size, and style for small text inside of a popup menu.

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### textColorPrimary

          public static final int textColorPrimary

      Must be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### textColorPrimaryDisableOnly

          public static final int textColorPrimaryDisableOnly

      Must be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### textColorPrimaryInverse

          public static final int textColorPrimaryInverse

      Must be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### textColorSearchUrl

          public static final int textColorSearchUrl

      Text color for urls in search suggestions, used by things like global search and the browser. @hide

      May be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      May be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".

      See Also:
        Constant Field Values

    - #### title

          public static final int title

      Specifies title text used for navigationMode="normal"

      Must be a string value, using '\\;' to escape characters such as '\\n' or '\\uxxxx' for a unicode character.

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### titleTextStyle

          public static final int titleTextStyle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### verticalDivider

          public static final int verticalDivider

      Default vertical divider between menu items.

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### windowActionBar

          public static final int windowActionBar

      Must be a boolean value, either "`true`" or "`false`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### windowActionBarOverlay

          public static final int windowActionBarOverlay

      Must be a boolean value, either "`true`" or "`false`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### windowActionModeOverlay

          public static final int windowActionModeOverlay

      Must be a boolean value, either "`true`" or "`false`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### windowAnimationStyle

          public static final int windowAnimationStyle

      Default animations for the menu.

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### windowContentOverlay

          public static final int windowContentOverlay

      This Drawable is overlaid over the foreground of the Window's content area, usually to place a shadow below the title.

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### windowMinWidthMajor

          public static final int windowMinWidthMajor

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### windowMinWidthMinor

          public static final int windowMinWidthMinor

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### windowNoTitle

          public static final int windowNoTitle

      Must be a boolean value, either "`true`" or "`false`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### windowSplitActionBar

          public static final int windowSplitActionBar

      Must be a boolean value, either "`true`" or "`false`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### R.attr

          public R.attr()